## squid3 3.1.19

=== debian/changelog ===
squid3 (3.1.19-1ubuntu3.12.04.8) precise-security; urgency=medium

  * SECURITY UPDATE: cookie data leak via If-Not-Modified HTTP conditional
    - debian/patches/CVE-2016-10002.patch: properly handle combination of
      If-Match and a Cache Hit in src/client_side_reply.cc,
      src/client_side_reply.h.
    - CVE-2016-10002

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 06 Feb 2017 10:00:45 -0500

squid3 (3.1.19-1ubuntu3.12.04.7) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via pinger and ICMPv6 packet
    - debian/patches/CVE-2016-3947.patch: fix sizes in src/icmp/Icmp6.cc.
    - CVE-2016-3947
  * SECURITY UPDATE: denial of service and possible code execution via
    seeding manager reporter with crafted data
    - debian/patches/CVE-2016-4051.patch: use dynamic MemBuf for internal
      content generation in tools/cachemgr.cc, src/tests/stub_mem.cc,
      tools/Makefile.am, src/tests/STUB.h, src/squid.h.
    - CVE-2016-4051
  * SECURITY UPDATE: denial of service or arbitrary code execution via
    crafted ESI responses
    - debian/patches/CVE-2016-4052.patch: perform bounds checking and
      remove asserts in src/esi/Esi.cc.
    - CVE-2016-4052
    - CVE-2016-4053
    - CVE-2016-4054
  * SECURITY UPDATE: cache-poisoning attacks via an HTTP request with an
    absolute-URI
    - debian/patches/CVE-2016-4553.patch: properly handle condition in
      src/client_side.cc
    - CVE-2016-4553
  * SECURITY UPDATE: same-origin bypass and cache-poisoning attack via
    crafted HTTP host header
    - debian/patches/CVE-2016-4554.patch: properly handle whitespace in
      src/mime_header.cc.
    - CVE-2016-4554
  * SECURITY UPDATE: denial of service via ESI responses
    - debian/patches/CVE-2016-4555.patch: fix segfaults in
      src/client_side_request.cc, src/esi/Context.h, src/esi/Esi.cc.
    - CVE-2016-4555
    - CVE-2016-4556
  * debian/rules: include autoreconf.mk.
  * debian/control: add dh-autoreconf to BuildDepends.
  * debian/patches/02-makefile-defaults.patch: also patch src/Makefile.am.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Jun 2016 07:50:10 -0400

squid3 (3.1.19-1ubuntu3.12.04.6) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted UDP SNMP request
    - debian/patches/CVE-2014-6270.patch: fix off-by-one in
      src/snmp_core.cc.
    - CVE-2014-6270
  * SECURITY UPDATE: error handling vulnerability
    - debian/patches/CVE-2016-2571.patch: better handling of huge response
      headers in src/http.cc.
    - CVE-2016-2571
  * Fix security issue that only applies when package is rebuilt with the
    enable-ssl flag, which is not the case in the Ubuntu archive.
    - debian/patches/CVE-2014-0128.patch: denial of service via a crafted
      range request.
  * debian/patches/increase-default-forward-max-tries.patch:
    change the default setting of 'forward_max_tries' from 10
    to 25. (LP: #1547640)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 04 Mar 2016 14:57:14 -0500

squid3 (3.1.19-1ubuntu3.12.04.4) precise-proposed; urgency=low

  * d/squid3.upstart: Use SIGINT to terminate squid and wait at most 40
    seconds for it to finish. (LP: #1073478)

 -- Tiago Stürmer Daitx <tiago.daitx@canonical.com>  Wed, 14 Oct 2015 02:54:20 +0000

squid3 (3.1.19-1ubuntu3.12.04.3) precise-security; urgency=medium

  * SECURITY UPDATE: Ignore Range headers with unidentifiable byte-range
    values
    - debian/patches/CVE-2014-3609.patch: adjust src/HttpHdrRange.cc to
      return an error if unable to determine the byte value for ranges
    - CVE-2014-3609

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 26 Aug 2014 13:55:57 -0500

squid3 (3.1.19-1ubuntu3.12.04.2) precise-security; urgency=low

  * SECURITY UPDATE: denial of service via cachemgr.cgi insufficient input
    validation
    - debian/patches/98-CVE-2012-5643.patch: modify cachemgr.cc to properly
      free memory and handle input in chunks
    - Based on
      http://www.squid-cache.org/Versions/v3/3.1/changesets/SQUID-2012_1.patch
    - CVE-2012-5643
    - CVE-2013-0189

 -- Seth Arnold <seth.arnold@canonical.com>  Mon, 28 Jan 2013 21:21:59 -0800

squid3 (3.1.19-1ubuntu3.12.04.1) precise-proposed; urgency=low

  * d/squid3.upstart: Work around squid not handling SIGHUP by
    adding respawn to upstart job. (LP: #978356)

 -- Clint Byrum <clint@ubuntu.com>  Tue, 19 Jun 2012 16:32:10 -0700

squid3 (3.1.19-1ubuntu3) precise-proposed; urgency=low

  * debian/rules: re-enable all hardening options lost in the
    squid->squid3 transition (LP: #986314)
  * debian/squid3.upstart: move ulimit command to script section
    so that it applies to the started squid daemon. Thanks to Timur
    Irmatov (LP: #986159)

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 20 Apr 2012 11:09:46 -0700

squid3 (3.1.19-1ubuntu2) precise; urgency=low

  * debian/NEWS.Debian: Rename NEWS.debian, add note regarding squid3
    transition in 12.04 (LP: #924739) 

 -- Adam Gandelman <adamg@canonical.com>  Thu, 12 Apr 2012 13:46:10 -0700

squid3 (3.1.19-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    + debian/control:
      - Update maintainer.
    + debian/squid3.upstart, debian/rules, squid3.resolvconf,
      debian/squid3.postinst, debian/squid3.postrm, debian/squid3.preinst,
      debian/squid3.prerm: Convert init script to upstart
    + debian/control, debian/patches/99-ubuntu-ssl-cert-snakeoil: Use
     snakeoil certificates.
    + debian/logrotate: Use sar-reports rather than sarg-maint. (LP: 26616)
    + debian/patches/90-cf.data.ubuntu.dpatch: Add an example refresh pattern
      for debs. (foundations-lucid-local-report spec)
    + Add transitional dummy packages
  * New upstream bugfix release fixes swap.state corruption, so squid will
    now start after a reboot. (LP: #930252)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 21 Feb 2012 18:51:26 +1100

squid3 (3.1.19-1) unstable; urgency=low


