=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #! /usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
+include /usr/share/dpkg/buildflags.mk
  
 INSTALLDIR := $(CURDIR)/debian/tmp
 datadir=/usr/share/squid3
@@ -32,6 +35,7 @@
 		--enable-arp-acl \
 		--enable-esi \
 		--enable-zph-qos \
+		--enable-wccpv2 \
 		--disable-translation \
 		--with-logdir=/var/log/squid3 \
 		--with-pidfile=/var/run/squid3.pid \
@@ -65,11 +69,13 @@
 	mv $(INSTALLDIR)/usr/share/man/man8/squid_db_auth.8 $(INSTALLDIR)/usr/share/man/man8/squid3_db_auth.8
 	mv $(INSTALLDIR)/usr/share/man/man8/squid_radius_auth.8 $(INSTALLDIR)/usr/share/man/man8/squid3_radius_auth.8
 	install -m 755 -g root -d $(INSTALLDIR)/etc/init.d
+	install -m 755 -g root -d $(INSTALLDIR)/etc/init
 	install -m 755 -g root -d $(INSTALLDIR)/etc/logrotate.d
 	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf
 	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf/update-libc.d
 	install -m 755 -g root -d $(INSTALLDIR)/etc/ufw/applications.d
 	install -m 755 -g root debian/squid3.rc $(INSTALLDIR)/etc/init.d/squid3
+	install -m 644 -g root debian/squid3.upstart $(INSTALLDIR)/etc/init/squid3.conf
 	install -m 755 -g root debian/squid3.resolvconf $(INSTALLDIR)/etc/resolvconf/update-libc.d/squid3
 	install -m 644 -g root debian/squid3.logrotate $(INSTALLDIR)/etc/logrotate.d/squid3
 	install -m 644 -g root debian/squid3.ufw.profile $(INSTALLDIR)/etc/ufw/applications.d/squid3
