## squid3 3.1.20

=== debian/changelog ===
squid3 (3.1.20-1ubuntu3) raring-proposed; urgency=low

  * fix FTBFS with newer glibc (LP: #1117517)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 06 Feb 2013 11:37:29 -0600

squid3 (3.1.20-1ubuntu2) raring-proposed; urgency=low

  [ Seth Arnold ]
  * SECURITY UPDATE: denial of service via cachemgr.cgi insufficient input
    validation
    - debian/patches/98-CVE-2012-5643.patch: modify cachemgr.cc to properly
      free memory and handle input in chunks
    - Based on
      http://www.squid-cache.org/Versions/v3/3.1/changesets/SQUID-2012_1.patch
    - CVE-2012-5643
    - CVE-2013-0189

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 06 Feb 2013 09:56:53 -0600

squid3 (3.1.20-1ubuntu1) quantal; urgency=low

  * Merge from Debian testing (LP: #1016560).  Remaining changes:
    + debian/control:
      - Update maintainer.
      - Suggests apparmor (>= 2.3)
      - Depends on ssl-cert ((>= 1.0-11ubuntu1)
      - Add transitional dummy packages
    + debian/squid3.upstart
      - Move ulimit command to script section so that it applies
        to the started squid daemon. Thanks to Timur Irmatov (LP: 986159)
      - Work around squid not handling SIGHUP by adding respawn to
        upstart job. (LP: 978356)
    + debian/NEWS.Debian: Rename NEWS.debian, add note regarding squid3
      transition in 12.04 (LP: 924739) 
    + debian/rules
      - Re-enable all hardening options lost in the squid->squid3
        transition (LP: 986314)
    + squid3.resolvconf, debian/squid3.postinst, debian/squid3.postrm,
      debian/squid3.preinst, debian/squid3.prerm:
      - Convert init script to upstart
    + debian/patches/99-ubuntu-ssl-cert-snakeoil:
      - Use snakeoil certificates.
    + debian/logrotate
      - Use sar-reports rather than sarg-maint. (LP: 26616)
    + debian/patches/90-cf.data.ubuntu.dpatch:
      - Add an example refresh pattern for debs.
        (foundations-lucid-local-report spec)
    + Add disabled by default AppArmor profile (LP: 497790)
      - debian/squid3.upstart: load profile in pre-start stanza
      - add debian/usr.sbin.squid3 profile
      - debian/rules:
        + install debian/usr.sbin.squid3, etc/apparmor.d/force-complain and
          etc/apparmor.d/disable into $(INSTALLDIR)
        + use dh_apparmor
      - debian/squid3.install: install etc/apparmor.d/disable, force-complain
        and usr.sbin.squid3
      - debian/squid3.preinst: disable profile on clean install or upgrades
        from earlier than when we shipped the profile

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 22 Jun 2012 14:18:00 +0200

squid3 (3.1.20-1) unstable; urgency=low

  * New upstream release

  * debian/control
    - Bumped Standard-Version to 3.9.3, no change needed
    - Added missing dependency on dpkg-dev (>= 1.16.1~)

  * debian/rules
    - Enabled hardening options (Closes: #669684)

  * debian/patches/01-cf.data.debian.patch
    - Fixed minor typos in configuration file (Closes: #670832, #673350)

 -- Luigi Gangitano <luigi@debian.org>  Mon, 18 Jun 2012 14:20:53 +0200

squid3 (3.1.19-1ubuntu5) quantal; urgency=low

  * d/squid3.upstart: Work around squid not handling SIGHUP by
    adding respawn to upstart job. (LP: #978356)

 -- Clint Byrum <clint@ubuntu.com>  Tue, 19 Jun 2012 15:35:19 -0700

squid3 (3.1.19-1ubuntu4) quantal; urgency=low

  * Add disabled by default AppArmor profile (LP: #497790)
    - debian/squid3.upstart: load profile in pre-start stanza
    - add debian/usr.sbin.squid3 profile
    - debian/rules:
      + install debian/usr.sbin.squid3, etc/apparmor.d/force-complain and
        etc/apparmor.d/disable into $(INSTALLDIR)
      + use dh_apparmor
    - debian/control: suggests apparmor (>= 2.3)
    - debian/squid3.install: install etc/apparmor.d/disable, force-complain
      and usr.sbin.squid3
    - debian/squid3.preinst: disable profile on clean install or upgrades
      from earlier than when we shipped the profile

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 13 Jun 2012 11:32:14 -0500

squid3 (3.1.19-1ubuntu3.1) quantal; urgency=low

  * debian/rules: re-enable all hardening options lost in the
    squid->squid3 transition (LP: #986314)
  * debian/squid3.upstart: move ulimit command to script section
    so that it applies to the started squid daemon. Thanks to Timur
    Irmatov (LP: #986159)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 13 Jun 2012 09:06:51 -0500
