=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
 Homepage: http://www.squid-cache.org
-Standards-Version: 3.9.2
-Build-Depends: libldap2-dev, libpam0g-dev, libdb-dev, cdbs, libsasl2-dev, debhelper (>=5), libcppunit-dev, libkrb5-dev, comerr-dev, libcap2-dev [linux-any], libexpat1-dev, libxml2-dev, autotools-dev, libltdl-dev, dh-autoreconf
+Standards-Version: 3.9.3
+Build-Depends: libldap2-dev, libpam0g-dev, libdb-dev, cdbs, libsasl2-dev, debhelper (>=5), libcppunit-dev, libkrb5-dev, comerr-dev, libcap2-dev [linux-any], libexpat1-dev, libxml2-dev, autotools-dev, libltdl-dev, dpkg-dev (>= 1.16.1~)
 
 Package: squid3
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser, logrotate (>= 3.5.4-1), squid3-common (= ${source:Version}), lsb-base, ssl-cert (>= 1.0-11ubuntu1)
-Suggests: squidclient, squid-cgi, resolvconf (>= 0.40), smbclient, ufw
+Suggests: squidclient, squid-cgi, resolvconf (>= 0.40), smbclient, ufw, apparmor (>= 2.3)
 Description: Full featured Web Proxy cache (HTTP proxy)
  Squid is a high-performance proxy caching server for web clients, supporting
  FTP, gopher, and HTTP data objects.
