=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,12 @@
 #! /usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+include /usr/share/dpkg/buildflags.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/dpkg/buildflags.mk
  
 INSTALLDIR := $(CURDIR)/debian/tmp
@@ -85,6 +88,10 @@
 	install -m 750 -o proxy -g proxy -d debian/squid3/var/log/squid3
 	install -m 750 -o proxy -g proxy -d debian/squid3/var/spool/squid3
 	install -m 755 -g root -d $(INSTALLDIR)/usr/share/man/man1
+	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/force-complain
+	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/disable
+	install -m 644 -g root debian/usr.sbin.squid3 $(INSTALLDIR)/etc/apparmor.d
+	dh_apparmor --profile-name=usr.sbin.squid3 -psquid3
 
 clean::
 	# nothing to do
