## squid3 3.3.8

=== debian/changelog ===
squid3 (3.3.8-1ubuntu6) trusty; urgency=medium

  * debian/rules: Force -O2 to work around build failure with -O3.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 17 Feb 2014 20:13:30 -0700

squid3 (3.3.8-1ubuntu5) trusty; urgency=low

  [ Yolanda Robla ]
  * debian/control: added lsb-release dependency
  * debian/patches/fix-distribution.patch: added patch to show distribution

  [ Dimitri John Ledkov ]
  * Enable parallel build

 -- Yolanda Robla <yolanda.robla@canonical.com>  Wed, 11 Dec 2013 10:51:45 +0000

squid3 (3.3.8-1ubuntu4) trusty; urgency=low

  * Fix perl & pod2man config.tests.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 04 Nov 2013 02:17:30 +0000

squid3 (3.3.8-1ubuntu3) saucy; urgency=low

  * d/tests/squid: Disable seccomp sandboxing in vsftpd until it works
    reliably (http://pad.lv/1219857), restart vsftpd using service
    command.

 -- James Page <james.page@ubuntu.com>  Mon, 02 Sep 2013 15:50:41 +0100

squid3 (3.3.8-1ubuntu2) saucy; urgency=low

  * d/usr.sbin.squid3: Update apparmor profile to allow pinger process to
    create and use ICMP ports for ipv4/ipv6. 

 -- James Page <james.page@ubuntu.com>  Mon, 02 Sep 2013 11:06:54 +0100

squid3 (3.3.8-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    + debian/control:
      - Update maintainer.
      - Suggests apparmor (>= 2.3)
      - Depends on ssl-cert ((>= 1.0-11ubuntu1), autopkgtests
    + debian/squid3.upstart
      - Move ulimit command to script section so that it applies
        to the started squid daemon. Thanks to Timur Irmatov (LP: 986159)
      - Work around squid not handling SIGHUP by adding respawn to
        upstart job. (LP: 978356)
    + debian/NEWS.Debian: Rename NEWS.debian, add note regarding squid3
      transition in 12.04 (LP: 924739)
    + debian/rules
      - Re-enable all hardening options lost in the squid->squid3
        transition (LP: 986314)
    + squid3.resolvconf, debian/squid3.postinst, debian/squid3.postrm,
      debian/squid3.preinst, debian/squid3.prerm:
      - Convert init script to upstart
    + debian/patches/99-ubuntu-ssl-cert-snakeoil:
      - Use snakeoil certificates.
    + debian/logrotate
      - Use sar-reports rather than sarg-maint. (LP: 26616)
    + debian/patches/90-cf.data.ubuntu.dpatch:
      - Add an example refresh pattern for debs.
        (foundations-lucid-local-report spec)
    + Add disabled by default AppArmor profile (LP: 497790)
      - debian/squid3.upstart: load profile in pre-start stanza
      - add debian/usr.sbin.squid3 profile
      - debian/rules:
        + install debian/usr.sbin.squid3, etc/apparmor.d/force-complain and
          etc/apparmor.d/disable into $(INSTALLDIR)
        + use dh_apparmor
      - debian/squid3.install: install etc/apparmor.d/disable, force-complain
        and usr.sbin.squid3
      - debian/squid3.preinst: disable profile on clean install or upgrades
        from earlier than when we shipped the profile
    + debian/tests:
      - Add autopkgtests.
  * d/control: Add dependency package for squid -> squid3 (LP: #1211942).
  * d/control: Add dh-apparmor to BD's.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Aug 2013 09:03:55 +0100

squid3 (3.3.8-1) unstable; urgency=high

  * Urgency high due to security fixes

  * New upstream release
    - Fixes security issues (Closes: #716743)
      + Buffer overflow in HTTP request handling (Ref: SQUID-2013:2,
        CVE-2013-4115)
      + DoS in request processing (Ref: SQUID-2013:3, CVE-2013-4123)
    - Includes PNG image used in error pages, with new copyright assignement
      (Closes: #683255)

  * Added /var/run/squid3 dir to host sockets in SMP configuration
    (Closes: #710126)

  * debian/control
    - Bumped Standard-Version to 3.9.4, no change needed

 -- Luigi Gangitano <luigi@debian.org>  Sun, 21 Jul 2013 18:28:36 +0200

squid3 (3.3.4-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1199883).  Remaining changes:
    + debian/control:
      - Update maintainer.
      - Suggests apparmor (>= 2.3)
      - Depends on ssl-cert ((>= 1.0-11ubuntu1), autopkgtests
    + debian/squid3.upstart
      - Move ulimit command to script section so that it applies
        to the started squid daemon. Thanks to Timur Irmatov (LP: 986159)
      - Work around squid not handling SIGHUP by adding respawn to
        upstart job. (LP: 978356)
    + debian/NEWS.Debian: Rename NEWS.debian, add note regarding squid3
      transition in 12.04 (LP: 924739)
    + debian/rules
      - Re-enable all hardening options lost in the squid->squid3
        transition (LP: 986314)
    + squid3.resolvconf, debian/squid3.postinst, debian/squid3.postrm,
      debian/squid3.preinst, debian/squid3.prerm:
      - Convert init script to upstart
    + debian/patches/99-ubuntu-ssl-cert-snakeoil:
      - Use snakeoil certificates.
    + debian/logrotate
      - Use sar-reports rather than sarg-maint. (LP: 26616)
    + debian/patches/90-cf.data.ubuntu.dpatch:
      - Add an example refresh pattern for debs.
        (foundations-lucid-local-report spec)
    + Add disabled by default AppArmor profile (LP: 497790)
      - debian/squid3.upstart: load profile in pre-start stanza
      - add debian/usr.sbin.squid3 profile
      - debian/rules:
        + install debian/usr.sbin.squid3, etc/apparmor.d/force-complain and
          etc/apparmor.d/disable into $(INSTALLDIR)
        + use dh_apparmor
      - debian/squid3.install: install etc/apparmor.d/disable, force-complain
        and usr.sbin.squid3
      - debian/squid3.preinst: disable profile on clean install or upgrades
        from earlier than when we shipped the profile
    + debian/tests:
      - Add autopkgtests.

  * Dropped:
    - debian/patches: dropped patches, superseded by new release:
      + 98-CVE-2012-5643.patch
      + 99-lp1117517_r12473.patch
    - debian/rules: fix FTBFS, removed --with-cppunit-basedir flag,
      included in Debian.

